/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common;

import java.util.List;

public class User {

	private final String name;
	private final List<Role> roles;
	private final boolean enabled;

	public User(final String name, final List<Role> roles, final boolean enabled) {
		this.name = name;
		this.roles = roles;
		this.enabled = enabled;
	}

	public String getName() {
		return this.name;
	}

	public List<Role> getRoles() {
		return this.roles;
	}

	public boolean isEnabled() {
		return enabled;
	}

	
}
